package com.uas.eis.entity;

/**
 * Created by luhg on 2018/4/20.
 * 异常处理返回信息
 */
public enum ErrorMsg {

    TIMESTAMP_ILLEGAL(1001,"Timestamp is illegal","请求时间戳不合法"),
    ACCESSKEY_ILLEGAL(1002,"AccessKey is illegal","加密KEY不合法"),
    TIMEOUT_ILLEGAL(1003,"Time is Out","请求超时"),
    REQUESTID_ILLEGAL(1004,"RequestId is illegal","随机字符串不合法"),
    SIGNATURE_ILLEGAL(1005,"Signature is illegal","签名错误"),

    NULL_TOKEN(10001,"token not found","缺失token，请把token做为参数传入"),
    INVALID_TOKEN(10002,"invalid token","无效的token，请重新申请token"),
    EXPIRED_TOKEN(10003,"expired token","token已过期，请重新申请token"),
    INVALID_USER(10003,"invalid user","无效用户"),
    PERMISSION_DENIED_REQUEST(10004,"request permission denied","受限的接口请求"),
    BAD_USERINFO(10005,"bad userinfo","账户名或密码错误"),
    NULL_QUERY_CODE(10006,"query code not found","查询方案编号不能为空"),
    PARAM_AMOUNT_ERROR(10007,"param amount error","查询方案编号不能为空"),
    PARAM_NAME_ERROR(10007,"param name error","查询方案编号不能为空"),
    PARAM_FORMAT_ERROR(10008,"param format error","参数格式不正确");



    private int errCode;
    private String errMsg;
    private String errDesc;

    ErrorMsg(int  errCode,String errMsg,String errDesc){
        this.errCode = errCode;
        this.errMsg = errMsg;
        this.errDesc = errDesc;
    }

    public int getErrCode() {
        return errCode;
    }

    public void setErrCode(int errCode) {
        this.errCode = errCode;
    }

    public String getErrMsg() {
        return errMsg;
    }

    public void setErrMsg(String errMsg) {
        this.errMsg = errMsg;
    }

    public String getErrDesc() {
        return errDesc;
    }

    public void setErrDesc(String errDesc) {
        this.errDesc = errDesc;
    }
}
